﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Martian_WinForms
{
    public class Popup
    {

        public readonly string name;
        public readonly double duration;
        public readonly double speed;
        public readonly int offsetOnSpriteSheet;

        public float X { get; private set; }
        public float Y { get; private set; }

        public Popup(string name, float x, float y, double duration, double speed, int offsetOnSpriteSheet)
        {
            this.name = name;
            X = x;
            Y = y;
            this.duration = duration;
            this.speed = speed;
            this.offsetOnSpriteSheet = offsetOnSpriteSheet;
        }

        public double TimeFactor { get; private set; }
        public double OpacityFactor { get; private set; } = 1;

        public void Continue()
        {
            TimeFactor += speed;
            OpacityFactor -= 0.05;
            Y -= 1f;
        }
    }
}
